#language: pt

Funcionalidade: Cadastro
    Sendo um músico que possui equipamentos musicais
    Quero fazer o meu cadastro no RockLov
    Para que eu possa disponibilizá-los para locação

    @cadastro
    Cenario: Fazer cadastro

        Dado que acesso a página de cadastro
        Quando submeto o seguinte formulário de cadastro:
            | nome           | email               | senha  |
            | Cristiano Lobo | cristiano@gmail.com | 123456 |
        Então sou redirecionado para o Dashboard

    Esquema do Cenário: Tentativa de cadastro

        Dado que acesso a página de cadastro
        Quando submeto o seguinte formulário de cadastro:
            | nome         | email         | senha         |
            | <nome_input> | <email_input> | <senha_input> |
        Então vejo a mensagem de alerta: "<mensagem_output>"

        Exemplos:
            | nome_input     | email_input              | senha_input | mensagem_output                  |
            |                | cristiano.coll@gmail.com | 88973526    | Oops. Informe seu nome completo! |
            | Cristiano Lobo |                          | 88973526    | Oops. Informe um email válido!   |
            | Cristiano Lobo | cristiano.coll*gmail.com | 88973526    | Oops. Informe um email válido!   |
            | Cristiano Lobo | cristiano.coll&gmail.com | 88973526    | Oops. Informe um email válido!   |
            | Cristiano Lobo | cristiano.coll@gmail.com |             | Oops. Informe sua senha secreta! |

